=== debian/changelog ===
bullet (2.83.7+dfsg-5) unstable; urgency=medium

  * Add Breaks and Replaces against version 2.83.6 to ensure that
    upgrades from Stretch to Sid work as expected.
    Thanks to Ralf Treinen for the report. (Closes: #839887)

 -- Markus Koschany <apo@debian.org>  Thu, 06 Oct 2016 14:50:52 +0200

bullet (2.83.7+dfsg-4) unstable; urgency=medium

  * Upload to unstable.
  * Start Bullet 2.83.7 transition.
  * debian/watch: Use version=4.

 -- Markus Koschany <apo@debian.org>  Wed, 05 Oct 2016 14:46:57 +0200

bullet (2.83.7+dfsg-3) experimental; urgency=medium

  * Declare compliance with Debian Policy 3.9.8.
  * Switch to compat level 10.
  * Vcs-Git: Use https.
  * Create new 2.83.7 binary packages and prepare for transition.

 -- Markus Koschany <apo@debian.org>  Thu, 29 Sep 2016 15:48:17 +0200

bullet (2.83.7+dfsg-2) experimental; urgency=medium

  * Do not execute dh_auto_test in indep target to prevent a FTBFS when
    building source only packages.

 -- Markus Koschany <apo@debian.org>  Thu, 14 Jan 2016 19:19:16 +0100

bullet (2.83.7+dfsg-1) experimental; urgency=medium

  * Imported Upstream version 2.83.7+dfsg.
  * Drop libbullet2.83-dbg and use -dbgsym packages from now on.

 -- Markus Koschany <apo@debian.org>  Thu, 14 Jan 2016 15:36:26 +0100
