=== debian/control ===
Source: bullet
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 10),
 freeglut3-dev,
 libtinyxml-dev (>= 2.6.2-3),
 zlib1g-dev
Build-Depends-Indep:
 doxygen,
 graphviz,
 rdfind,
 symlinks
Standards-Version: 3.9.8
Homepage: http://www.bulletphysics.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-games/bullet.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/bullet.git

Package: libbulletsoftbody2.83.7
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libbulletsoftbody2.83,
 libbulletsoftbody2.83v5,
 libbulletsoftbody2.83.6
Replaces:
 libbulletsoftbody2.83,
 libbulletsoftbody2.83v5,
 libbulletsoftbody2.83.6
Description: professional 3D Game Multiphysics Library -- soft body
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the BulletSoftbody shared library.
 .
 It features soft body dynamics for cloth, rope and deformable volumes with
 two-way interaction with rigid bodies, including constraint support.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libbulletcollision2.83.7
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libbulletcollision2.83,
 libbulletcollision2.83v5,
 libbulletcollision2.83.6
Replaces:
 libbulletcollision2.83,
 libbulletcollision2.83v5,
 libbulletcollision2.83.6
Description: professional 3D Game Multiphysics Library -- collision
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the BulletCollision shared library.
 .
 It features discrete and continuous collision detection including ray and
 convex sweep test. Collision shapes include concave and convex meshes and all
 basic primitives.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libbulletdynamics2.83.7
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libbulletdynamics2.83,
 libbulletdynamics2.83v5,
 libbulletdynamics2.83.6
Replaces:
 libbulletdynamics2.83,
 libbulletdynamics2.83v5,
 libbulletdynamics2.83.6
Description: professional 3D Game Multiphysics Library -- dynamics
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the BulletDynamics shared library.
 .
 It features fast and stable rigid body dynamics constraint solver, vehicle
 dynamics, character controller and slider, hinge, generic 6DOF and cone twist
 constraint for ragdolls.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: liblinearmath2.83.7
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 liblinearmath2.83,
 liblinearmath2.83v5,
 liblinearmath2.83.6
Replaces:
 liblinearmath2.83,
 liblinearmath2.83v5,
 liblinearmath2.83.6
Description: professional 3D Game Multiphysics Library -- mathematics
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the LinearMath shared library which is required by most
 other Bullet libraries and provides basic data types and memory management.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libhacd2.83.7
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libhacd2.83,
 libhacd2.83v5,
 libhacd2.83.6
Replaces:
 libhacd2.83,
 libhacd2.83v5,
 libhacd2.83.6
Description: professional 3D Game Multiphysics Library -- HACD
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the HACD shared library. HACD stands for Hierarchical
 Approximate Convex Decomposition and provides a sophisticated algorithm that
 can, in a CPU efficient way, compute a faithful approximation of the original
 mesh.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libconvexdecomposition2.83.7
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libconvexdecomposition2.83,
 libconvexdecomposition2.83v5,
 libconvexdecomposition2.83.6
Replaces:
 libconvexdecomposition2.83,
 libconvexdecomposition2.83v5,
 libconvexdecomposition2.83.6
Description: professional 3D Game Multiphysics Library -- convex decomposition
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the ConvexDecomposition shared library. Convex
 decomposition can be used to decompose a concave mesh into several convex
 parts and then combine them into a new composite object.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libbulletfileloader2.83.7
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libbulletfileloader2.83,
 libbulletfileloader2.83v5,
 libbulletfileloader2.83.6
Replaces:
 libbulletfileloader2.83,
 libbulletfileloader2.83v5,
 libbulletfileloader2.83.6
Description: professional 3D Game Multiphysics Library -- file loader
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the BulletFileLoader shared library.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libbulletworldimporter2.83.7
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libbulletworldimporter2.83,
 libbulletworldimporter2.83v5,
 libbulletworldimporter2.83.6
Replaces:
 libbulletworldimporter2.83,
 libbulletworldimporter2.83v5,
 libbulletworldimporter2.83.6
Description: professional 3D Game Multiphysics Library -- world importer
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the BulletWorldImporter shared library which can be
 used by Blender and other software to export or import the Bullet physics
 file format.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libbulletxmlworldimporter2.83.7
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libbulletxmlworldimporter2.83,
 libbulletxmlworldimporter2.83v5,
 libbulletxmlworldimporter2.83.6
Replaces:
 libbulletxmlworldimporter2.83,
 libbulletxmlworldimporter2.83v5,
 libbulletxmlworldimporter2.83.6
Description: professional 3D Game Multiphysics Library -- xml world importer
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the BulletXmlWorldImporter shared library which can be
 used by Blender and other software to export or import the Bullet physics file
 format.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libgimpactutils2.83.7
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libgimpactutils2.83,
 libgimpactutils2.83v5,
 libgimpactutils2.83.6
Replaces:
 libgimpactutils2.83,
 libgimpactutils2.83v5,
 libgimpactutils2.83.6
Description: professional 3D Game Multiphysics Library -- GIMPACT
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the GIMPACT shared library. GIMPACT is a software
 library with tools for geometry processing and collision detection, focused on
 solving most common problems on Virtual Reality development.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libbullet-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libbulletcollision2.83.7 (= ${binary:Version}),
 libbulletdynamics2.83.7 (= ${binary:Version}),
 libbulletsoftbody2.83.7 (= ${binary:Version}),
 liblinearmath2.83.7 (= ${binary:Version}),
 ${misc:Depends}
Description: professional 3D Game Multiphysics Library -- development files
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
  * Used by many movie and game companies in AAA titles on Playstation 3, XBox
    360, Nintendo Wii, PC, Android and iPhone.
  * Modular extendible C++ design with hot-swap of most components.
  * Discrete and continuous collision detection (CCD).
  * Swept collision queries.
  * Ray casting with custom collision filtering.
  * Generic convex support (using GJK), capsule, cylinder, cone, sphere, box and
    non-convex triangle meshes.
  * Support for dynamic deformation of non-convex triangle meshes, by refitting
    the acceleration structures.
 .
 Multiphysics support including:
 .
  * Rigid body dynamics including constraint solvers, generic constraints,
    ragdolls, hinge, ball-socket.
  * Support for constraint limits and motors.
  * Soft body support including cloth, rope and deformable.
  * Bullet is integrated into Blender.
  * Serialization of physics data in the cross-platform binary bullet file
    format.
 .
 This package contains development files for Bullet.

Package: libbullet-extras-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libbulletfileloader2.83.7 (= ${binary:Version}),
 libbulletworldimporter2.83.7 (= ${binary:Version}),
 libbulletxmlworldimporter2.83.7 (= ${binary:Version}),
 libconvexdecomposition2.83.7 (= ${binary:Version}),
 libgimpactutils2.83.7 (= ${binary:Version}),
 libhacd2.83.7 (= ${binary:Version}),
 ${misc:Depends}
Description: professional 3D Game Multiphysics Library -- extra development
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains extra development files for Bullet.
 .
 For more information about Bullet, please refer to the libbullet-dev package.

Package: libbullet-doc
Section: doc
Architecture: all
Depends:
 libjs-jquery,
 ${misc:Depends}
Description: professional 3D Game Multiphysics Library -- documentation
 Bullet professional 3D Game Multiphysics Library provides state of the art
 collision detection, soft body and rigid body dynamics.
 .
 This package contains the Bullet API documentation and the Bullet Quick Start
 Guide.
 .
 For more information about Bullet, please refer to the libbullet-dev package.
